There is no license information available for the latest version (1.0.0) of this package.

Markdown processer filter for twig templating engine. Also includes laravel service provider to link to Lablog.

Installs: 21

Dependents: 0

Stars: 1

Watchers: 1

Forks: 1

1.0.0 2014-03-07 20:57 UTC


NO LONGER MAINTAINED! Try the following instead:

A simple plugin for LaBLog (Also works stand-alone with the twig template engine.).



Installation is done via composer packages.

To install, simply add the following to your composer.json file.

"require": {
    "lablog/markdown": "1.0.*"

Laravel & LaBlog Usage

To use the markdown processor with Laravel 4 and LaBlog, just add the service provider to your app/config/app.php providers list.

Note: The provider must be added after the Laravel 4 Twig Bridge provider. Note2: If you have LaBlog up and running, you will have already added the Twig Bridge provider.


Using with Stand-alone Twig

To use the markdown processor with a stand-along, non-laravel bridged twig, just add the following to your twig extensions.


Note: This has not been tested!

General Usage in Templates

To use the markdown filter in a template, simply markdown as a filter to the string you want to process.

<!-- Other Code -->
    {{ var_containing_markdown | markdown }}
<!-- Other Code -->